commit 3b70c3d65431d61143346a3981765308831e904f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Oct 9 02:28:11 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2d152d723de..3708c3415ce 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-08  Aurelien Jarno  <aurelien@aurel32.net>
+
+	Backported from master:
+	2025-10-02  Aurelien Jarno  <aurelien@aurel32.net>
+
+	PR target/121652
+	* config/riscv/riscv.md (round_pattern): special case NaN input
+	instead of saving/restoring fflags.
+
 2025-10-07  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b95af03f6e9..80c58c12bcc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251008
+20251009
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 7a48800922e..f830854e82d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-08  Aurelien Jarno  <aurelien@aurel32.net>
+
+	Backported from master:
+	2025-10-02  Aurelien Jarno  <aurelien@aurel32.net>
+
+	PR target/121652
+	* gcc.target/riscv/rvv/autovec/vls/math-nearbyint-1.c: Adjust
+	scan pattern for fewer instances of frflags/fsrflags.
+
 2025-10-07  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:

